Skip to content
FFastPay Docs

Payment links

Update a payment link

PATCH/api/v1/payment-links/{linkID}

Send only what changes. Set the status to disabled to stop it taking payments.

AuthorizationBearer sk_test_… or sk_live_…

Path parameters#

  • linkIDuuidRequired

Body parameters#

  • amount_minorintegerOptional

    At least 1.

  • descriptionstringOptional

    Up to 1000 characters.

  • expires_attimestampOptional
  • min_amount_minorintegerOptional

    At least 1.

  • redirect_urlstringOptional

    Up to 2000 characters.

  • slugstringOptional

    Up to 60 characters.

  • statusstringOptional

    One of active, disabled.

  • titlestringOptional

    Up to 120 characters.

Responses#

  • 200The payment link
  • 401The secret key is missing, invalid or revoked.
  • 403The key is not allowed to do this, or the request came from an address that is not on its allowlist.
  • 404Nothing was found for this business and mode.
  • 422A field is missing or not valid.